FLTK 1.4.4

Loading...
Searching...
No Matches
Fl_Device_Plugin Class Referenceabstract

This plugin socket allows the integration of new device drivers for special window or screen types. More...

`#include <Fl_Device.H>`

Inheritance diagram for Fl_Device_Plugin:

## Public Member Functions
| Fl_Device_Plugin (const char *pluginName)
| The constructor.
virtual const char * | klass ()
| Returns the class name.
virtual const char * | name ()=0
| Returns the plugin name.
virtual int | print (Fl_Widget *w)=0
| Prints a widget.
virtual Fl_RGB_Image * | rectangle_capture (Fl_Widget *widget, int x, int y, int w, int h)=0
| Captures a rectangle of a widget as an image.
Public Member Functions inherited from Fl_Plugin
| Fl_Plugin (const char *klass, const char *name)
| Create a plugin.
virtual | ~Fl_Plugin ()
| Clear the plugin and remove it from the database.

## Static Public Member Functions
static Fl_Device_Plugin * | opengl_plugin ()
| Returns the OpenGL plugin.

## Detailed Description

This plugin socket allows the integration of new device drivers for special window or screen types.

This class is not intended for use outside the FLTK library. It is currently used to provide an automated printing service and screen capture for OpenGL windows, if linked with fltk_gl.

## Member Function Documentation

## ◆ rectangle_capture()

virtual Fl_RGB_Image * Fl_Device_Plugin::rectangle_capture | ( | Fl_Widget * | widget,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h )
| pure virtual

Captures a rectangle of a widget as an image.

Returns
  The captured pixels as an RGB image

The documentation for this class was generated from the following files:

- Fl_Device.H
- Fl_Device.cxx